
-- =========================================================================
-- DB2 Spatial Extender V8 Bank Demo
-- CLP script: grant_privileges.db2
-- =========================================================================

--
-- Grant select permission on tables
--

GRANT SELECT ON bankdemo.customer TO PUBLIC
;
GRANT SELECT ON bankdemo.branch TO PUBLIC
;
GRANT SELECT ON bankdemo.account TO PUBLIC
;
GRANT SELECT ON bankdemo.transaction TO PUBLIC
;
GRANT SELECT ON bankdemo.sanjose TO PUBLIC
;
GRANT SELECT ON bankdemo.mainroads TO PUBLIC
;
GRANT SELECT ON bankdemo.selblocks TO PUBLIC
;

--
-- Grant select permission on views
--

GRANT SELECT ON bankdemo.v01 TO PUBLIC
;
GRANT SELECT ON bankdemo.v02 TO PUBLIC
;
GRANT SELECT ON bankdemo.v03 TO PUBLIC
;
GRANT SELECT ON bankdemo.v04 TO PUBLIC
;
GRANT SELECT ON bankdemo.v05 TO PUBLIC
;
GRANT SELECT ON bankdemo.v06 TO PUBLIC
;
GRANT SELECT ON bankdemo.v07 TO PUBLIC
;
GRANT SELECT ON bankdemo.v08 TO PUBLIC
;
GRANT SELECT ON bankdemo.v09 TO PUBLIC
;
GRANT SELECT ON bankdemo.v10 TO PUBLIC
;
GRANT SELECT ON bankdemo.v11 TO PUBLIC
;
GRANT SELECT ON bankdemo.v12 TO PUBLIC
;

--
-- Grant execute permission on Spatial Extender methods
--

GRANT EXECUTE ON METHOD srid() FOR db2gse.st_geometry TO PUBLIC
;
GRANT EXECUTE ON METHOD xmax() FOR db2gse.st_geometry TO PUBLIC
;
GRANT EXECUTE ON METHOD xmin() FOR db2gse.st_geometry TO PUBLIC
;
GRANT EXECUTE ON METHOD ymax() FOR db2gse.st_geometry TO PUBLIC
;
GRANT EXECUTE ON METHOD ymin() FOR db2gse.st_geometry TO PUBLIC
;

